# Kourier
# Ben Delacour Spring/Summer 2006


from __future__ import division

import glob
import helpers
import os, os.path
import string
import sys
from pygame.locals import *




def read_high_scores(filename):
    # Reads high scores from the specified file

    if os.path.exists(filename) == False:
        print "%s doesn't exist!" % name
    else:
        fin= file(filename, 'r')

    whole= fin.read()
    fin.close()
    lines= string.split(whole, '\n')

    names=  []
    scores= []
    for lin in lines:  

        last_space_place= lin.rfind(" ")
        name_str=  lin[:last_space_place]
        score_str= lin[last_space_place+1:]
        names.append(name_str)
        scores.append( float(score_str) )

    return names, scores




def get_lowest_score(filename):
    # Reads lowest score from the specified file
    names, scores= read_high_scores(filename)

    return scores[len(scores)- 1]




def add_new_score(filename, entry_name, entry_score):
    # Attempts to add a new name and score

    names, scores= read_high_scores(filename)

    place= 0
    for score in scores:
        if score < entry_score: break
        else: place+= 1
    
    names=   names[0:place]+  [entry_name]+  names[place:len(names)- 1]
    scores= scores[0:place]+ [entry_score]+ scores[place:len(names)- 1]


    ### Write the high score file
    score_file= open(filename, "w")

    for i in range( 0, len(scores) ):
        for j in range(11):
            if j < len(names[i]): score_file.write(names[i][j])
            else:                 score_file.write(" ")

        score_file.write( str(scores[i]) )

        if i < len(scores)- 1:
            score_file.write("\n")

    score_file.close()

    return






