# Car generation object class for Kourier
# Ben Delacour Spring 2006

from __future__ import division
import glob
import helpers
import math
import os, os.path
import pygame
import random
import string
import sys
from GameObject import GameObject
from Car        import Car
from pygame.locals import *




class Cargen(GameObject):
    """Car generation object class for Kourier"""

    def __init__( self, level, pos_vec= [0, 0], direction= helpers.NORTH, minTicks= 30, maxTicks= 160 ):
        GameObject.__init__(self, pos_vec, [0, 0])

        self.level= level
        self.minTicks= minTicks
        self.maxTicks= maxTicks
        self.direction= direction
        self.resetCounter()



    def update(self):
        self.ticks-= 1


    def isTimeForCar(self):
        if self.ticks < 0:
            return True
        return False

    def resetCounter(self):
        self.ticks= random.randint(self.minTicks, self.maxTicks- self.minTicks)



    def get_pos(self):
        return self.pos_vec

    def get_direction(self):
        return self.direction



