# This is an example setup.py file
# run it from the windows command line like so:
# > C:\Python2.4\python.exe setup.py py2exe
 
from distutils.core import setup
 
import sys, os, pygame, shutil
import py2exe, glob


#also need to hand copy the extra files here
def installfile(name):
 dst = os.path.join('dist', project_name)
 print 'copying', name, '->', dst
 if os.path.isdir(name):
   dst = os.path.join(dst, name)
 if os.path.isdir(dst):
   shutil.rmtree(dst)
   shutil.copytree(name, dst)
 elif os.path.isfile(name):
   shutil.copy(name, dst)
 else:
   print 'Warning, %s not found' % name

 
opts = { 
 "py2exe": { 
   # if you import .py files from subfolders of your project, then those are
   # submodules.  You'll want to declare those in the "includes"
   'includes':[],
 } 
} 
 
setup(

  #this is the file that is run when you start the game from the command line.  
  console=['main.py'],
 
  #options as defined above
  options=opts, 
  #this will pack up a zipfile instead of having a glut of files sitting
  #in a folder.
  zipfile="lib/shared.zip",

  #installfile(  os.path.join( pygamedir, pygame.font.get_default_font() )  )


)